<?php

namespace SplitPay\Contracts;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

interface ProductAdapterInterface {

	public function getConnectedAccounts( int $productId ): array;

	public function getTransferType( int $productId ): array;

	public function getTransferPercentage( int $productId ): array;

	public function getTransferAmount( int $productId ): array;

	public function getShippingTransferSettings( int $productId ): array;

	public function saveProductSplitPaySettings( int $productId, array $settings ): void;
}
